## org.apache.xerces.impl.xs.models
Class CMBuilder

    java.lang.Object
      org.apache.xerces.impl.xs.models.CMBuilder

    public class CMBuilder

extends java.lang.Object

This class constructs content models for a given grammar.

Version:
  $Id: CMBuilder.java 446729 2006-09-15 20:44:44Z mrglavas $
Author:
  Elena Litani, IBM, Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`CMBuilder(CMNodeFactory nodeFactory)`

Method Summary
`XSCMValidator` `getContentModel(XSComplexTypeDecl typeDecl)` Get content model for the a given type
`void` `setDeclPool(XSDeclarationPool declPool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMBuilder

    public CMBuilder(CMNodeFactory nodeFactory)

Method Detail

### setDeclPool

    public void setDeclPool(XSDeclarationPool declPool)

### getContentModel

    public XSCMValidator getContentModel(XSComplexTypeDecl typeDecl)

  Get content model for the a given type

  Parameters:
    `typeDecl` - get content model for which complex type
  Returns:
    a content model validator

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.